package com.plannaplan.repositories;

import java.util.Optional;

import com.plannaplan.entities.User;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

//if result could be null, should we wrapped in optional
@Repository
public interface UserRepository extends JpaRepository<User, Long> {
    @Query("FROM User WHERE email = ?1")
    Optional<User> getByAuthority(@Param("authority") String authority);

    @Query("FROM User WHERE token = ?1")
    User getByToken(@Param("token") String token);
}